#include <iostream>

using namespace std;

int main()
{
    int n, m = 0, x, y;
    cin >> n;
    int a[n];
    int b[n];
    for(int i = 0; i < n; i++)
        cin >> a[i];
    for(int i = 0; i < n; i++)
        cin >> b[i];
    for(int i = 1; i < n - 1; i++){
        x = a[i];
        y = b[i];
        for(int j = i + 1; j < n; j++){
            x = x ^ a[j];
            y = y & b[j];
            if(x * y > m)
                m = x * y;
        }
    }
    cout << m;
    return 0;
}